{
  "schema_version": "1.4.0",
  "id": "GHSA-5c78-vcj8-vwr5",
  "modified": "2022-05-24T17:17:39Z",
  "published": "2022-05-24T17:17:39Z",
  "aliases": [
    "CVE-2020-10024"
  ],
  "details": "The arm platform-specific code uses a signed integer comparison when validating system call numbers. An attacker who has obtained code execution within a user thread is able to elevate privileges to that of the kernel. See NCC-ZEP-001 This issue affects: zephyrproject-rtos zephyr version 1.14.0 and later versions. version 2.1.0 and later versions.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2020-10024"
    },
    {
      "type": "WEB",
      "url": "https://github.com/zephyrproject-rtos/zephyr/pull/23323"
    },
    {
      "type": "WEB",
      "url": "https://github.com/zephyrproject-rtos/zephyr/pull/23498"
    },
    {
      "type": "WEB",
      "url": "https://github.com/zephyrproject-rtos/zephyr/pull/23535"
    },
    {
      "type": "WEB",
      "url": "https://docs.zephyrproject.org/latest/security/vulnerabilities.html#CVE-2020-10024"
    },
    {
      "type": "WEB",
      "url": "https://zephyrprojectsec.atlassian.net/browse/ZEPSEC-30"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2020-05-11T23:15:00Z"
  }
}